## GtkMessageDialog GtkMessageDialog |

## Functions

GtkWidget * | gtk_message_dialog_new ()
GtkWidget * | gtk_message_dialog_new_with_markup ()
void | gtk_message_dialog_set_markup ()
void | gtk_message_dialog_set_image ()
GtkWidget * | gtk_message_dialog_get_image ()
GtkWidget * | gtk_message_dialog_get_message_area ()
void | gtk_message_dialog_format_secondary_text ()
void | gtk_message_dialog_format_secondary_markup ()

## Properties

GtkButtonsType | buttons | Write / Construct Only
GtkWidget * | image | Read / Write
GtkWidget * | message-area | Read
GtkMessageType | message-type | Read / Write / Construct
gchar * | secondary-text | Read / Write
gboolean | secondary-use-markup | Read / Write
gchar * | text | Read / Write
gboolean | use-markup | Read / Write

## Style Properties

gint | message-border | Read
gboolean | use-separator | Read

## Types and Values

struct | GtkMessageDialog
enum | GtkMessageType
enum | GtkButtonsType

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkWindow
                                ╰── GtkDialog
                                    ╰── GtkMessageDialog

## Implemented Interfaces

GtkMessageDialog implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_message_dialog_new ()

    GtkWidget *
    gtk_message_dialog_new (GtkWindow *parent,
                            GtkDialogFlags flags,
                            GtkMessageType type,
                            GtkButtonsType buttons,
                            const gchar *message_format,
                            ...);

### gtk_message_dialog_new_with_markup ()

    GtkWidget *
    gtk_message_dialog_new_with_markup (GtkWindow *parent,
                                        GtkDialogFlags flags,
                                        GtkMessageType type,
                                        GtkButtonsType buttons,
                                        const gchar *message_format,
                                        ...);

Since: 2.4

### gtk_message_dialog_set_markup ()

    void
    gtk_message_dialog_set_markup (GtkMessageDialog *message_dialog,
                                   const gchar *str);

Since: 2.4

### gtk_message_dialog_set_image ()

    void
    gtk_message_dialog_set_image (GtkMessageDialog *dialog,
                                  GtkWidget *image);

Since: 2.10

### gtk_message_dialog_get_image ()

    GtkWidget *
    gtk_message_dialog_get_image (GtkMessageDialog *dialog);

Since: 2.14

### gtk_message_dialog_get_message_area ()

    GtkWidget *
    gtk_message_dialog_get_message_area (GtkMessageDialog *message_dialog);

Since: 2.22

### gtk_message_dialog_format_secondary_text ()

    void
    gtk_message_dialog_format_secondary_text
                                   (GtkMessageDialog *message_dialog,
                                    const gchar *message_format,
                                    ...);

Since: 2.6

### gtk_message_dialog_format_secondary_markup ()

    void
    gtk_message_dialog_format_secondary_markup
                                   (GtkMessageDialog *message_dialog,
                                    const gchar *message_format,
                                    ...);

Since: 2.6

## Types and Values

### struct GtkMessageDialog

    struct GtkMessageDialog;

### enum GtkMessageType

#### Members

GTK_MESSAGE_INFO |  |
GTK_MESSAGE_WARNING |  |
GTK_MESSAGE_QUESTION |  |
GTK_MESSAGE_ERROR |  |
GTK_MESSAGE_OTHER |  |

### enum GtkButtonsType

#### Members

GTK_BUTTONS_NONE |  |
GTK_BUTTONS_OK |  |
GTK_BUTTONS_CLOSE |  |
GTK_BUTTONS_CANCEL |  |
GTK_BUTTONS_YES_NO |  |
GTK_BUTTONS_OK_CANCEL |  |

## Property Details

### The `“buttons”` property

      “buttons”                  GtkButtonsType

The buttons shown in the message dialog.

Flags: Write / Construct Only

Default value: GTK_BUTTONS_NONE

### The `“image”` property

      “image”                    GtkWidget *

The image.

Flags: Read / Write

Since: 2.10

### The `“message-area”` property

      “message-area”             GtkWidget *

GtkVBox that holds the dialog's primary and secondary labels.

Flags: Read

Since: 2.22

### The `“message-type”` property

      “message-type”             GtkMessageType

The type of message.

Flags: Read / Write / Construct

Default value: GTK_MESSAGE_INFO

### The `“secondary-text”` property

      “secondary-text”           gchar *

The secondary text of the message dialog.

Flags: Read / Write

Default value: NULL

Since: 2.10

### The `“secondary-use-markup”` property

      “secondary-use-markup”     gboolean

The secondary text includes Pango markup.

Flags: Read / Write

Default value: FALSE

Since: 2.10

### The `“text”` property

      “text”                     gchar *

The primary text of the message dialog.

Flags: Read / Write

Default value: ""

Since: 2.10

### The `“use-markup”` property

      “use-markup”               gboolean

The primary text of the title includes Pango markup.

Flags: Read / Write

Default value: FALSE

Since: 2.10

## Style Property Details

### The `“message-border”` style property

      “message-border”           gint

Width of border around the label and image in the message dialog.

Flags: Read

Allowed values: >= 0

Default value: 12

### The `“use-separator”` style property

      “use-separator”            gboolean

Whether to put a separator between the message dialog's text and the buttons.

`GtkMessageDialog:use-separator` has been deprecated since version 2.22 and should not be used in newly-written code.

This style property will be removed in GTK+ 3

Flags: Read

Default value: FALSE

Since: 2.4